NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::StyledBlendBuilder Class Reference

Represents a NXOpen::Features::StyledBlend builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStyledBlendBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::StyledBlendBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  StyledBlendRadiusConstraintType { StyledBlendRadiusConstraintTypeNone, StyledBlendRadiusConstraintTypePeak, StyledBlendRadiusConstraintTypeMinimum }
 The radius constraint type. More...
 
enum  StyledBlendShapeControlType {
  StyledBlendShapeControlTypeTangentCurve1, StyledBlendShapeControlTypeTangentCurve2, StyledBlendShapeControlTypeDepth, StyledBlendShapeControlTypeSkew,
  StyledBlendShapeControlTypeTangentMagnitude
}
 The shape control types. More...
 
enum  StyledBlendTrimMethodType { StyledBlendTrimMethodTypeNoTrim, StyledBlendTrimMethodTypeTrimAndAttach, StyledBlendTrimMethodTypeTrimInputWalls, StyledBlendTrimMethodTypeTrimInputBlends }
 The trim method types. More...
 
enum  Types { TypesLaw, TypesCurve, TypesProfile }
 The styled blend types. More...
 

Public Member Functions

NXOpen::SelectEdgeAdjacentBlend1 ()
 Returns the first adjacent blend
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderAdjacentBlend1TrimEnd ()
 Returns the trim end of the first adjacent blend
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderAdjacentBlend1TrimStart ()
 Returns the trim start of the first adjacent blend
Created in NX6.0.0. More...
 
NXOpen::SelectEdgeAdjacentBlend2 ()
 Returns the second adjacent blend
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderAdjacentBlend2TrimEnd ()
 Returns the trim end of the second adjacent blend
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderAdjacentBlend2TrimStart ()
 Returns the trim start of the second adjacent blend
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityBlend1Continuity ()
 Returns the first blend continuity
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityBlend2Continuity ()
 Returns the second blend continuity
Created in NX6.0.0. More...
 
NXOpen::SectionCenterCurve ()
 Returns the center curve
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderCenterCurveEnd ()
 Returns the center curve end
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderCenterCurveStart ()
 Returns the center curve start
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderDepthLaw ()
 Returns the depth
Created in NX6.0.0. More...
 
NXOpen::Features::SelectFeatureInheritFeatureParameters ()
 Returns a feature from which parameters will be inherited. More...
 
bool IsBlendExtended ()
 Returns a value indicating whether the blend is extended
Created in NX6.0.0. More...
 
bool IsCenterCurveDirectionReversed ()
 Returns a value indicating whether the center curve direction is reversed
Created in NX6.0.0. More...
 
bool IsCenterCurveUsedAsSpine ()
 Returns a value indicating whether the center curve is used as the spine
Created in NX6.0.0. More...
 
bool IsNormal1Reversed ()
 Returns a value indicating whether to reverse the normal of the first wall
Created in NX6.0.0. More...
 
bool IsNormal2Reversed ()
 Returns a value indicating whether to reverse the normal of the second wall
Created in NX6.0.0. More...
 
bool IsSingleTubeUsed ()
 Returns a value indicating whether the single tube is used
Created in NX6.0.0. More...
 
bool LinkHandles ()
 Returns a value indicating whether to link the handles
Created in NX6.0.0. More...
 
double PositionTolerance ()
 Returns the position tolerance
Created in NX6.0.0. More...
 
void ProcessInheritFeatureParameters (NXOpen::Features::StyledBlend *feature)
 Internally data processing of inherited parameters from other Styled Blend feature. More...
 
NXOpen::SectionProfileCurve ()
 Returns the profile curve
Created in NX6.0.0. More...
 
NXOpen::Features::StyledBlendBuilder::StyledBlendRadiusConstraintType RadiusConstraintType ()
 Returns the radius constraint type
Created in NX6.0.0. More...
 
NXOpen::ExpressionRadiusConstraintValue ()
 Returns the radius constraint value
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::RebuildRebuildGuide ()
 Returns the rebuild guide
Created in NX6.0.0. More...
 
void ReverseBlend ()
 Reverses the blend
Created in NX6.0.0. More...
 
void SetBlendExtended (bool isBlendExtended)
 Sets a value indicating whether the blend is extended
Created in NX6.0.0. More...
 
void SetCenterCurveDirectionReversed (bool reverseCenterCurveDirection)
 Sets a value indicating whether the center curve direction is reversed
Created in NX6.0.0. More...
 
void SetCenterCurveUsedAsSpine (bool useCenterCurveAsSpine)
 Sets a value indicating whether the center curve is used as the spine
Created in NX6.0.0. More...
 
void SetLinkHandles (bool linkHandles)
 Sets a value indicating whether to link the handles
Created in NX6.0.0. More...
 
void SetNormal1Reversed (bool reverseNormal1)
 Sets a value indicating whether to reverse the normal of the first wall
Created in NX6.0.0. More...
 
void SetNormal2Reversed (bool reverseNormal2)
 Sets a value indicating whether to reverse the normal of the second wall
Created in NX6.0.0. More...
 
void SetPositionTolerance (double positionTolerance)
 Sets the position tolerance
Created in NX6.0.0. More...
 
void SetRadiusConstraintType (NXOpen::Features::StyledBlendBuilder::StyledBlendRadiusConstraintType radiusConstraintType)
 Sets the radius constraint type
Created in NX6.0.0. More...
 
void SetShapeControl (NXOpen::Features::StyledBlendBuilder::StyledBlendShapeControlType shapeControl)
 Sets the shape control
Created in NX6.0.0. More...
 
void SetSingleTubeUsed (bool singleTube)
 Sets a value indicating whether the single tube is used
Created in NX6.0.0. More...
 
void SetTangentTolerance (double tangentTolerance)
 Sets the tangent tolerance
Created in NX6.0.0. More...
 
void SetTrimMethod (NXOpen::Features::StyledBlendBuilder::StyledBlendTrimMethodType trimMethod)
 Sets the trim method
Created in NX6.0.0. More...
 
void SetType (NXOpen::Features::StyledBlendBuilder::Types type)
 Sets the type
Created in NX6.0.0. More...
 
NXOpen::Features::StyledBlendBuilder::StyledBlendShapeControlType ShapeControl ()
 Returns the shape control
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderSkewLaw ()
 Returns the skew
Created in NX6.0.0. More...
 
NXOpen::SectionSpineCurve ()
 Returns the spine curve
Created in NX6.0.0. More...
 
NXOpen::SectionTangentCurve1 ()
 Returns the first tangent curve
Created in NX6.0.0. More...
 
NXOpen::SectionTangentCurve2 ()
 Returns the second tangent curve
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderTangentMagnitude1 ()
 Returns the tangent magnitude 1
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderTangentMagnitude2 ()
 Returns the tangent magnitude 2
Created in NX6.0.0. More...
 
double TangentTolerance ()
 Returns the tangent tolerance
Created in NX6.0.0. More...
 
NXOpen::Features::StyledBlendBuilder::StyledBlendTrimMethodType TrimMethod ()
 Returns the trim method
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderTubeRadius1 ()
 Returns the first tube radius
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderTubeRadius2 ()
 Returns the second tube radius
Created in NX6.0.0. More...
 
NXOpen::Features::StyledBlendBuilder::Types Type ()
 Returns the type
Created in NX6.0.0. More...
 
void UpdateCenterCurve ()
 Updates the center curve. More...
 
void UpdateProfileCurve ()
 Updates the profile curve for Profile type. More...
 
void UpdateRadiusLawSpine ()
 Updates the spine in radius laws. More...
 
void UpdateResetData ()
 Set necessary builder data. More...
 
void UpdateShapeLawSpine (bool isDefaultSpine)
 Updates the spine in shape laws. More...
 
void UpdateSpineCurve ()
 Updates the spine curve. More...
 
void UpdateTangentCurve1 ()
 Updates the first tangent curve for Curve type. More...
 
void UpdateTangentCurve2 ()
 Updates the second tangent curve for Curve Type. More...
 
bool UpdateWall1 ()
 Updates the first wall. More...
 
bool UpdateWall2 ()
 Updates the second wall. More...
 
NXOpen::ScCollectorWall1 ()
 Returns the first wall
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityWall1Continuity ()
 Returns the first wall continuity
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::FlowDirectionWall1Direction ()
 Returns the first wall flow direction
Created in NX5.0.0. More...
 
NXOpen::ScCollectorWall2 ()
 Returns the second wall
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityWall2Continuity ()
 Returns the second wall continuity
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::FlowDirectionWall2Direction ()
 Returns the second wall flow direction
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::StyledBlend builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStyledBlendBuilder
Default values.

Property Value

DepthLaw.Function

ft

DepthLaw.LawType

MultiTransition

DepthLaw.Parameter

t

IsCenterCurveUsedAsSpine

0

IsSingleTubeUsed

1

LinkHandles

0

RadiusConstraintType

None

RadiusConstraintValue.Value

1.0 (millimeters part), 2.54 (inches part)

RebuildGuide.DegreeType

Quintic

ShapeControl

TangentCurve1

SkewLaw.LawType

MultiTransition

TangentMagnitude1.LawType

MultiTransition

TangentMagnitude2.LawType

MultiTransition

TrimMethod

NoTrim

TubeRadius1.LawType

MultiTransition

TubeRadius2.LawType

MultiTransition


Created in NX6.0.0.

Member Enumeration Documentation

The radius constraint type.

Enumerator
StyledBlendRadiusConstraintTypeNone 

Non-radius constraint.

StyledBlendRadiusConstraintTypePeak 

Peak radius constraint.

StyledBlendRadiusConstraintTypeMinimum 

Minimum radius constraint.

The shape control types.

Enumerator
StyledBlendShapeControlTypeTangentCurve1 

Tangent curve 1.

StyledBlendShapeControlTypeTangentCurve2 

Tangent curve 2.

StyledBlendShapeControlTypeDepth 

Depth control.

StyledBlendShapeControlTypeSkew 

Skew control.

StyledBlendShapeControlTypeTangentMagnitude 

Tangent magnitude control.

The trim method types.

Enumerator
StyledBlendTrimMethodTypeNoTrim 

Non-trim.

StyledBlendTrimMethodTypeTrimAndAttach 

Trim and attach.

StyledBlendTrimMethodTypeTrimInputWalls 

Trim input walls.

StyledBlendTrimMethodTypeTrimInputBlends 

Trim input blends.

The styled blend types.

Enumerator
TypesLaw 

Law type.

TypesCurve 

Curve type.

TypesProfile 

Profile type.

Member Function Documentation

NXOpen::SelectEdge* NXOpen::Features::StyledBlendBuilder::AdjacentBlend1 ( )

Returns the first adjacent blend
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::AdjacentBlend1TrimEnd ( )

Returns the trim end of the first adjacent blend
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::AdjacentBlend1TrimStart ( )

Returns the trim start of the first adjacent blend
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectEdge* NXOpen::Features::StyledBlendBuilder::AdjacentBlend2 ( )

Returns the second adjacent blend
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::AdjacentBlend2TrimEnd ( )

Returns the trim end of the second adjacent blend
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::AdjacentBlend2TrimStart ( )

Returns the trim start of the second adjacent blend
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledBlendBuilder::Blend1Continuity ( )

Returns the first blend continuity
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledBlendBuilder::Blend2Continuity ( )

Returns the second blend continuity
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Section* NXOpen::Features::StyledBlendBuilder::CenterCurve ( )

Returns the center curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::CenterCurveEnd ( )

Returns the center curve end
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::StyledBlendBuilder::CenterCurveStart ( )

Returns the center curve start
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::DepthLaw ( )

Returns the depth
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::SelectFeature* NXOpen::Features::StyledBlendBuilder::InheritFeatureParameters ( )

Returns a feature from which parameters will be inherited.

If you do not want to inherit parameters, do not set this
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StyledBlendBuilder::IsBlendExtended ( )

Returns a value indicating whether the blend is extended
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StyledBlendBuilder::IsCenterCurveDirectionReversed ( )

Returns a value indicating whether the center curve direction is reversed
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StyledBlendBuilder::IsCenterCurveUsedAsSpine ( )

Returns a value indicating whether the center curve is used as the spine
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StyledBlendBuilder::IsNormal1Reversed ( )

Returns a value indicating whether to reverse the normal of the first wall
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StyledBlendBuilder::IsNormal2Reversed ( )

Returns a value indicating whether to reverse the normal of the second wall
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StyledBlendBuilder::IsSingleTubeUsed ( )

Returns a value indicating whether the single tube is used
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StyledBlendBuilder::LinkHandles ( )

Returns a value indicating whether to link the handles
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

double NXOpen::Features::StyledBlendBuilder::PositionTolerance ( )

Returns the position tolerance
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::ProcessInheritFeatureParameters ( NXOpen::Features::StyledBlend feature)

Internally data processing of inherited parameters from other Styled Blend feature.


Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
featurefeature
NXOpen::Section* NXOpen::Features::StyledBlendBuilder::ProfileCurve ( )

Returns the profile curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::StyledBlendBuilder::StyledBlendRadiusConstraintType NXOpen::Features::StyledBlendBuilder::RadiusConstraintType ( )

Returns the radius constraint type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Expression* NXOpen::Features::StyledBlendBuilder::RadiusConstraintValue ( )

Returns the radius constraint value
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::StyledBlendBuilder::RebuildGuide ( )

Returns the rebuild guide
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::ReverseBlend ( )

Reverses the blend
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::SetBlendExtended ( bool  isBlendExtended)

Sets a value indicating whether the blend is extended
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
isBlendExtendedisblendextended
void NXOpen::Features::StyledBlendBuilder::SetCenterCurveDirectionReversed ( bool  reverseCenterCurveDirection)

Sets a value indicating whether the center curve direction is reversed
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
reverseCenterCurveDirectionreversecentercurvedirection
void NXOpen::Features::StyledBlendBuilder::SetCenterCurveUsedAsSpine ( bool  useCenterCurveAsSpine)

Sets a value indicating whether the center curve is used as the spine
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
useCenterCurveAsSpineusecentercurveasspine
void NXOpen::Features::StyledBlendBuilder::SetLinkHandles ( bool  linkHandles)

Sets a value indicating whether to link the handles
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
linkHandleslinkhandles
void NXOpen::Features::StyledBlendBuilder::SetNormal1Reversed ( bool  reverseNormal1)

Sets a value indicating whether to reverse the normal of the first wall
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
reverseNormal1reversenormal1
void NXOpen::Features::StyledBlendBuilder::SetNormal2Reversed ( bool  reverseNormal2)

Sets a value indicating whether to reverse the normal of the second wall
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
reverseNormal2reversenormal2
void NXOpen::Features::StyledBlendBuilder::SetPositionTolerance ( double  positionTolerance)

Sets the position tolerance
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
positionTolerancepositiontolerance
void NXOpen::Features::StyledBlendBuilder::SetRadiusConstraintType ( NXOpen::Features::StyledBlendBuilder::StyledBlendRadiusConstraintType  radiusConstraintType)

Sets the radius constraint type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
radiusConstraintTyperadiusconstrainttype
void NXOpen::Features::StyledBlendBuilder::SetShapeControl ( NXOpen::Features::StyledBlendBuilder::StyledBlendShapeControlType  shapeControl)

Sets the shape control
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
shapeControlshapecontrol
void NXOpen::Features::StyledBlendBuilder::SetSingleTubeUsed ( bool  singleTube)

Sets a value indicating whether the single tube is used
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
singleTubesingletube
void NXOpen::Features::StyledBlendBuilder::SetTangentTolerance ( double  tangentTolerance)

Sets the tangent tolerance
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
tangentTolerancetangenttolerance
void NXOpen::Features::StyledBlendBuilder::SetTrimMethod ( NXOpen::Features::StyledBlendBuilder::StyledBlendTrimMethodType  trimMethod)

Sets the trim method
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
trimMethodtrimmethod
void NXOpen::Features::StyledBlendBuilder::SetType ( NXOpen::Features::StyledBlendBuilder::Types  type)

Sets the type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
typetype
NXOpen::Features::StyledBlendBuilder::StyledBlendShapeControlType NXOpen::Features::StyledBlendBuilder::ShapeControl ( )

Returns the shape control
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::SkewLaw ( )

Returns the skew
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Section* NXOpen::Features::StyledBlendBuilder::SpineCurve ( )

Returns the spine curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Section* NXOpen::Features::StyledBlendBuilder::TangentCurve1 ( )

Returns the first tangent curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Section* NXOpen::Features::StyledBlendBuilder::TangentCurve2 ( )

Returns the second tangent curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::TangentMagnitude1 ( )

Returns the tangent magnitude 1
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::TangentMagnitude2 ( )

Returns the tangent magnitude 2
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

double NXOpen::Features::StyledBlendBuilder::TangentTolerance ( )

Returns the tangent tolerance
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::StyledBlendBuilder::StyledBlendTrimMethodType NXOpen::Features::StyledBlendBuilder::TrimMethod ( )

Returns the trim method
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::TubeRadius1 ( )

Returns the first tube radius
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::StyledBlendBuilder::TubeRadius2 ( )

Returns the second tube radius
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::StyledBlendBuilder::Types NXOpen::Features::StyledBlendBuilder::Type ( )

Returns the type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::UpdateCenterCurve ( )

Updates the center curve.

This API is used for recording spine creation for the radius and shape laws
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::UpdateProfileCurve ( )

Updates the profile curve for Profile type.

This API is used for recording spine creation for the shape law
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::UpdateRadiusLawSpine ( )

Updates the spine in radius laws.

You should call this function whenever input walls or center curve have been changed
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::UpdateResetData ( )

Set necessary builder data.

This API is used for recording reset all action
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::UpdateShapeLawSpine ( bool  isDefaultSpine)

Updates the spine in shape laws.

You should call this function whenever input walls, center curve, spine, tangent curves or profile curve have been changed
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
isDefaultSpineisdefaultspine
void NXOpen::Features::StyledBlendBuilder::UpdateSpineCurve ( )

Updates the spine curve.

This API is used for recording spine creation for the radius and shape laws
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::UpdateTangentCurve1 ( )

Updates the first tangent curve for Curve type.

This API is used for recording spine creation for the radius and shape laws
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::StyledBlendBuilder::UpdateTangentCurve2 ( )

Updates the second tangent curve for Curve Type.

This API is used for recording spine creation for the radius and shape laws
Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::StyledBlendBuilder::UpdateWall1 ( )

Updates the first wall.

This API is used for recording spine creation for the radius and shape laws

Returns

Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::StyledBlendBuilder::UpdateWall2 ( )

Updates the second wall.

This API is used for recording spine creation for the radius and shape laws

Returns

Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::ScCollector* NXOpen::Features::StyledBlendBuilder::Wall1 ( )

Returns the first wall
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledBlendBuilder::Wall1Continuity ( )

Returns the first wall continuity
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::StyledBlendBuilder::Wall1Direction ( )

Returns the first wall flow direction
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::ScCollector* NXOpen::Features::StyledBlendBuilder::Wall2 ( )

Returns the second wall
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StyledBlendBuilder::Wall2Continuity ( )

Returns the second wall continuity
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::StyledBlendBuilder::Wall2Direction ( )

Returns the second wall flow direction
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.